# Uses of Class
org.apache.lucene.analysis.hunspell.DictEntry

Packages that use DictEntry
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of DictEntry in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell that return DictEntry
  Modifier and Type
  Method
  Description
  `DictEntry`
  AffixedWord.`getDictEntry()`
  Methods in org.apache.lucene.analysis.hunspell that return types with arguments of type DictEntry
  Modifier and Type
  Method
  Description
  `List<DictEntry>`
  EntrySuggestion.`getEntriesToAdd()`
  `List<DictEntry>`
  EntrySuggestion.`getEntriesToEdit()`